const preferencesService  = Components.classes["@mozilla.org/preferences-service;1"].getService( Components.interfaces.nsIPrefService ).getBranch( "folkd." );
	
function onOK( notExecutableFileMsg ) {	
	try {
		// Save "Login Information"
		preferencesService.setCharPref( "settings.username", document.getElementById( "settingsUsernameField" ).value );
		
		if (preferencesService.getCharPref("settings.password")!=document.getElementById( "settingsPasswordField" ).value) {
			preferencesService.setCharPref( "settings.password", hex_md5(document.getElementById( "settingsPasswordField" ).value) );
		}
		// Save "General Settings"
		preferencesService.setCharPref( "settings.orient", document.getElementById( "settingsOrient" ).selectedItem.value );
		preferencesService.setBoolPref( "settings.showonstart", document.getElementById( "settingsShowOnStart" ).checked );
		preferencesService.setBoolPref( "settings.installbuttonsonstart", document.getElementById( "settingsInstallButtonsOnStart" ).checked );
		preferencesService.setBoolPref( "settings.showstatusbar", document.getElementById( "settingsShowStatusbarPanel" ).checked );
			
		// Save "Language"
		var language = document.getElementById( "settingsLanguage" ).selectedItem.id;
		if( language=="languageBrowser" ) {
			preferencesService.setCharPref( "settings.userlanguage", '' );
		} else {
			preferencesService.setCharPref( "settings.userlanguage", document.getElementById( "settingsLanguagestring" ).selectedItem.value );
		}
		
		if (!document.getElementById( "settingsShowStatusbarPanel" ).checked) {
			document.getElementById( "folkd-statusbar" ).setAttribute('hidden', 1);
			document.getElementById( "folkd-statusbar" ).setAttribute('style', 'display:none');
		} else {
			document.getElementById( "folkd-statusbar" ).setAttribute('hidden', 0);
			document.getElementById( "folkd-statusbar" ).setAttribute('style', 'display:block');
		}
		
	} catch( ex ) {
    }
    return true;
}

function onLoad() {
	
    sizeToContent();
    
    // Username
    var prefname = "settings.username";
    var prefvalue;
    try {
    	  prefvalue = preferencesService.getCharPref( prefname );
    	 document.getElementById( "settingsUsernameField" ).value = prefvalue;    	
    } catch( ex ) {
    }
    
    // Password
    var prefname = "settings.password";
    var prefvalue;
    try {
    	prefvalue = preferencesService.getCharPref( prefname );
    	document.getElementById( "settingsPasswordField" ).value = prefvalue;
    } catch( ex ) {
    }
    
    // Orientation    
    var prefname = "settings.orient";
    var prefvalue;
    try {
    	prefvalue = preferencesService.getCharPref( prefname );
    	document.getElementById( "settingsOrient" ).selectedItem =  document.getElementById( "settingsOrient_"+prefvalue );
    } catch( ex ) {
    }    
    
    // StartUp    
    var prefname = "settings.showonstart";
    var prefvalue;
    try {
    	prefvalue = preferencesService.getBoolPref( prefname );
    	document.getElementById( "settingsShowOnStart" ).checked = prefvalue;
    } catch( ex ) {
    }
    
    // StartUp    
    var prefname = "settings.installbuttonsonstart";
    var prefvalue;
    try {
    	prefvalue = preferencesService.getBoolPref( prefname );
    	document.getElementById( "settingsInstallButtonsOnStart" ).checked = prefvalue;
    } catch( ex ) {
    }
    // StartUp    
    var prefname = "settings.showstatusbar";
    var prefvalue;
    try {
    	prefvalue = preferencesService.getBoolPref( prefname );
    	document.getElementById( "settingsShowStatusbarPanel" ).checked = prefvalue;
    } catch( ex ) {
    }
    
    // Language
    var prefname = "settings.userlanguage";
    var prefvalue;
    try {
    	prefvalue = preferencesService.getCharPref( prefname );
    	if( prefvalue=='' ) {
    		document.getElementById( "settingsLanguage" ).selectedItem = document.getElementById( "languageBrowser" );
    	} else {
    		document.getElementById( "settingsLanguage" ).selectedItem = document.getElementById( "languageDifferent" );
    		document.getElementById( "settingsLanguagestring" ).selectedItem = document.getElementById( "settingsLanguage_"+prefvalue );
    	}
    } catch( ex ) {
    }
}